Retrieve paginated list of ATS attachment files

Use this endpoint to list attachment files for a specific ATS entity. Provide attachable_type_slug, attachable_id, and attachment_type_slug to specify which entity and attachment type to list. Token scopes: ats:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

attachable_idstringRequiredformat: "uuid"
Unique identifier for the attachable entity
attachment_type_slugenumRequired
Type of the attachment
Allowed values:
attachable_type_slugenumRequired
Type of the attachable entity

Query parameters

cursorstringOptional<=1000 characters
The cursor for pagination
limitintegerOptional1-100Defaults to 20
Maximum number of records returned in one response

Response

Successful operation.
datalist of objects
Array of attachment objects
has_moreboolean
Indicates if there are more results available
next_cursorstring or null<=1000 characters
Cursor for pagination to fetch next page
total_countdouble
Total count of attachments

Errors